> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Network overview

This endpoint returns a summary of key statistics for the whole network. The response gives you both the "All-time" aggregate, as well as the a paginated response on the averages of every day that precedes the current.


## OpenAPI

````yaml get /v0/eth/network/overview
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/eth/network/overview:
    get:
      tags:
        - Network
      summary: Get Network Overview
      operationId: get_network_overview_v0_eth_network_overview_get
      parameters:
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NetworkOverview'
                title: Response Get Network Overview V0 Eth Network Overview Get
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    NetworkOverview:
      properties:
        timeWindow:
          $ref: '#/components/schemas/TimeWindow'
        validatorCount:
          type: integer
          minimum: 0
          title: Validatorcount
        validatorCountDiff:
          anyOf:
            - type: integer
            - type: 'null'
          title: Validatorcountdiff
        medianValidatorAgeDays:
          type: integer
          minimum: 0
          title: Medianvalidatoragedays
        activeStake:
          type: integer
          minimum: 0
          title: Activestake
        activeStakeDiff:
          anyOf:
            - type: integer
            - type: 'null'
          title: Activestakediff
        avgValidatorBalance:
          type: number
          minimum: 0
          title: Avgvalidatorbalance
        avgValidatorBalanceDiff:
          anyOf:
            - type: number
            - type: 'null'
          title: Avgvalidatorbalancediff
        consensusLayerRewardsPercentage:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Consensuslayerrewardspercentage
        priorityFeesPercentage:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Priorityfeespercentage
        baselineMevPercentage:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Baselinemevpercentage
        avgValidatorEffectiveness:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Avgvalidatoreffectiveness
        avgInclusionDelay:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Avginclusiondelay
        avgUptime:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Avguptime
        sumMissedSlots:
          type: integer
          minimum: 0
          title: Summissedslots
        missedSlotsPercentage:
          type: number
          minimum: 0
          title: Missedslotspercentage
        avgConsensusAprPercentage:
          anyOf:
            - type: number
            - type: 'null'
          title: Avgconsensusaprpercentage
        avgExecutionAprPercentage:
          anyOf:
            - type: number
            - type: 'null'
          title: Avgexecutionaprpercentage
        medianConsensusAprPercentage:
          anyOf:
            - type: number
            - type: 'null'
          title: Medianconsensusaprpercentage
        medianExecutionAprPercentage:
          anyOf:
            - type: number
            - type: 'null'
          title: Medianexecutionaprpercentage
        consensusRewardsRatio:
          anyOf:
            - type: number
            - type: 'null'
          title: Consensusrewardsratio
        executionRewardsRatio:
          anyOf:
            - type: number
            - type: 'null'
          title: Executionrewardsratio
        avgNetworkAprPercentage:
          anyOf:
            - type: number
            - type: 'null'
          title: Avgnetworkaprpercentage
        medianNetworkAprPercentage:
          anyOf:
            - type: number
            - type: 'null'
          title: Mediannetworkaprpercentage
        avgConsensusAprGwei:
          anyOf:
            - type: integer
            - type: 'null'
          title: Avgconsensusaprgwei
        avgExecutionAprGwei:
          anyOf:
            - type: integer
            - type: 'null'
          title: Avgexecutionaprgwei
        medianConsensusAprGwei:
          anyOf:
            - type: integer
            - type: 'null'
          title: Medianconsensusaprgwei
        medianExecutionAprGwei:
          anyOf:
            - type: integer
            - type: 'null'
          title: Medianexecutionaprgwei
        avgNetworkAprGwei:
          anyOf:
            - type: integer
            - type: 'null'
          title: Avgnetworkaprgwei
        medianNetworkAprGwei:
          anyOf:
            - type: integer
            - type: 'null'
          title: Mediannetworkaprgwei
        giniCoefficient:
          type: number
          minimum: 0
          title: Ginicoefficient
        clientPercentages:
          items:
            $ref: '#/components/schemas/ClientPercentage'
          type: array
          title: Clientpercentages
        clientValidatorEffectiveness:
          anyOf:
            - items:
                $ref: '#/components/schemas/ClientEffectiveness'
              type: array
            - type: 'null'
          title: Clientvalidatoreffectiveness
        latestEpoch:
          type: integer
          minimum: 0
          title: Latestepoch
        activationQueueMinutes:
          type: number
          minimum: 0
          title: Activationqueueminutes
        activatingValidators:
          type: integer
          minimum: 0
          title: Activatingvalidators
        activatingStake:
          type: integer
          minimum: 0
          title: Activatingstake
        exitQueueMinutes:
          type: number
          minimum: 0
          title: Exitqueueminutes
        withdrawalQueueMinutes:
          type: number
          minimum: 0
          title: Withdrawalqueueminutes
        withdrawalProcessingQueueMinutes:
          type: number
          minimum: 0
          title: Withdrawalprocessingqueueminutes
        fullyWithdrawingValidators:
          type: integer
          minimum: 0
          title: Fullywithdrawingvalidators
        partiallyWithdrawingValidators:
          type: integer
          minimum: 0
          title: Partiallywithdrawingvalidators
        totalWithdrawingValidators:
          type: integer
          minimum: 0
          title: Totalwithdrawingvalidators
        fullyWithdrawingBalance:
          type: integer
          minimum: 0
          title: Fullywithdrawingbalance
        partiallyWithdrawingBalance:
          type: integer
          minimum: 0
          title: Partiallywithdrawingbalance
        totalWithdrawingBalance:
          type: integer
          minimum: 0
          title: Totalwithdrawingbalance
        exitingValidators:
          type: integer
          minimum: 0
          title: Exitingvalidators
        exitingStake:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Exitingstake
        liquidStakingPenetration:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Liquidstakingpenetration
        networkNativelyRestaked:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Networknativelyrestaked
      type: object
      required:
        - timeWindow
        - validatorCount
        - validatorCountDiff
        - medianValidatorAgeDays
        - activeStake
        - activeStakeDiff
        - avgValidatorBalance
        - avgValidatorBalanceDiff
        - consensusLayerRewardsPercentage
        - priorityFeesPercentage
        - baselineMevPercentage
        - avgValidatorEffectiveness
        - avgInclusionDelay
        - avgUptime
        - sumMissedSlots
        - missedSlotsPercentage
        - avgConsensusAprPercentage
        - avgExecutionAprPercentage
        - medianConsensusAprPercentage
        - medianExecutionAprPercentage
        - consensusRewardsRatio
        - executionRewardsRatio
        - avgNetworkAprPercentage
        - medianNetworkAprPercentage
        - avgConsensusAprGwei
        - avgExecutionAprGwei
        - medianConsensusAprGwei
        - medianExecutionAprGwei
        - avgNetworkAprGwei
        - medianNetworkAprGwei
        - giniCoefficient
        - clientPercentages
        - clientValidatorEffectiveness
        - latestEpoch
        - activationQueueMinutes
        - activatingValidators
        - activatingStake
        - exitQueueMinutes
        - withdrawalQueueMinutes
        - withdrawalProcessingQueueMinutes
        - fullyWithdrawingValidators
        - partiallyWithdrawingValidators
        - totalWithdrawingValidators
        - fullyWithdrawingBalance
        - partiallyWithdrawingBalance
        - totalWithdrawingBalance
        - exitingValidators
        - exitingStake
        - liquidStakingPenetration
        - networkNativelyRestaked
      title: NetworkOverview
      examples:
        - activatingStake: 25184000000000
          activatingValidators: 787
          activationQueueMinutes: 838.4
          activeStake: 16419232000000000
          activeStakeDiff: 0
          avgConsensusAprPercentage: 4.110372806103757
          avgExecutionAprPercentage: 1.8784786051796751
          avgInclusionDelay: 1.026223700745488
          avgNetworkAprPercentage: 5.988851411283433
          avgUptime: 99.60745479648561
          avgValidatorBalance: 33989164381.593678
          avgValidatorBalanceDiff: 0
          avgValidatorEffectiveness: 96.24882777017207
          avg_consensus_apr_gwei: 1315319298
          avg_execution_apr_gwei: 601113154
          avg_network_apr_gwei: 1916432452
          baselineMevPercentage: 11.321938366828187
          clientPercentages:
            - client: Lighthouse
              percentage: 0.3744886640155385
            - client: Nimbus
              percentage: 0.025649007580706686
            - client: Teku
              percentage: 0.19682653817317683
            - client: Prysm
              percentage: 0.4004708894725073
            - client: Lodestar
              percentage: 0.0025649007580706685
          clientValidatorEffectiveness:
            - avgValidatorEffectiveness: 95.42
              client: Lighthouse
            - avgValidatorEffectiveness: 93.4
              client: Nimbus
            - avgValidatorEffectiveness: 94.9
              client: Teku
          consensusLayerRewardsPercentage: 71.00716294317242
          consensusRewardsRatio: 0.7100716294317242
          executionRewardsRatio: 0.2899283705682758
          exitQueueMinutes: 25.6
          exitingStake: 3136000000000
          exitingValidators: 98
          fullyWithdrawingBalance: 1024000000000
          fullyWithdrawingValidators: 32
          giniCoefficient: 0.9374772860811317
          latestEpoch: 162521
          liquid_staking_penetration: 0.312321
          medianConsensusAprPercentage: 3.892783165538195
          medianExecutionAprPercentage: 0.6112049138020833
          medianNetworkAprPercentage: 4.503988079340278
          medianValidatorAgeDays: 446
          median_consensus_apr_gwei: 1245690613
          median_execution_apr_gwei: 195585572
          median_network_apr_gwei: 1441276185
          missedSlotsPercentage: 0.9463495357389193
          network_natively_restaked: 0.035343
          partiallyWithdrawingBalance: 1447374543384832
          partiallyWithdrawingValidators: 35351
          priorityFeesPercentage: 17.670898689999394
          sumMissedSlots: 54305
          timeWindow: all
          totalWithdrawingBalance: 39939418387645100
          totalWithdrawingValidators: 35383
          validatorCount: 513101
          validatorCountDiff: 0
          withdrawalProcessingQueueMinutes: 47834.2875
          withdrawalQueueMinutes: 47392
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    ClientPercentage:
      properties:
        client:
          type: string
          title: Client
        percentage:
          type: number
          minimum: 0
          title: Percentage
      type: object
      required:
        - client
        - percentage
      title: ClientPercentage
    ClientEffectiveness:
      properties:
        client:
          type: string
          title: Client
        avgValidatorEffectiveness:
          type: number
          minimum: 0
          title: Avgvalidatoreffectiveness
      type: object
      required:
        - client
        - avgValidatorEffectiveness
      title: ClientEffectiveness
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````